Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents
Class PageFormat

    java.lang.Object
      org.pdfclown.documents.PageFormat

    public final class PageFormat

extends Object

Page format.

This utility provides an easy access to the dimension of common page formats.

Since:
  0.0.3
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)
See Also:
  `Document.setPageSize(Dimension2D)`, `Page.setSize(Dimension2D)`

Nested Class Summary
`static class` | `PageFormat.OrientationEnum` Page orientation.
`static class` | `PageFormat.SizeEnum` Paper size.

Method Summary
`static Dimension` | `getSize()` Gets the default page size.
`static Dimension` | `getSize(PageFormat.SizeEnum size)` Gets the page size of the given format, portrait orientation.
`static Dimension` | `getSize(PageFormat.SizeEnum size, PageFormat.OrientationEnum orientation)` Gets the page size of the given format and orientation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSize

    public static Dimension getSize()

  Gets the default page size.

  ### Remarks

  The returned dimension corresponds to the widely-established ISO A4 standard paper format, portrait orientation.

### getSize

    public static Dimension getSize(PageFormat.SizeEnum size)

  Gets the page size of the given format, portrait orientation.

  Parameters:
    `size` - Page size.

### getSize

    public static Dimension getSize(PageFormat.SizeEnum size,
                                    PageFormat.OrientationEnum orientation)

  Gets the page size of the given format and orientation.

  Parameters:
    `size` - Page size.
    `orientation` - Page orientation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.